Modify

Opened 12 years ago

Closed 12 years ago

#3996 closed defect (fixed)

Exception when deleting layer

Reported by: Nakor Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: Cc:

Description (last modified by Gubaer)

When removing a data layer:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2009-11-20 02:31:59
Last Changed Author: jttt
Revision: 2485
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2009-11-19 21:58:09 +0100 (Thu, 19 Nov 2009)
Last Changed Rev: 2485

Memory Usage: 365 MB / 1333 MB (210 MB allocated, but free)
Java version: 1.6.0_16

Plugins: DirectUploadPicLayereditgpxgraphviewmeasurementmichigan_leftopenstreetbugsremotecontrolroutingtageditorutilspluginvalidatorwaydownloaderwmsplugin
Plugin DirectUpload Version: 17532
Plugin PicLayer Version: 18597
Plugin editgpx Version: 18595
Plugin graphview Version: 18593
Plugin measurement Version: 18595
Plugin michigan_left Version: 18084
Plugin openstreetbugs Version: 18595
Plugin remotecontrol Version: 18678
Plugin routing Version: 18597
Plugin tageditor Version: 18522
Plugin utilsplugin Version: 18621
Plugin validator Version: 18623
Plugin waydownloader Version: 18617
Plugin wmsplugin Version: 18671

java.lang.IndexOutOfBoundsException: Index: 118, Size: 18

at java.util.ArrayList.RangeCheck(Unknown Source)
at java.util.ArrayList.get(Unknown Source)
at org.openstreetmap.josm.gui.dialogs.RelationListDialog$RelationListModel.getElementAt(RelationListDialog.java:625)
at javax.swing.JList.getSelectedValues(Unknown Source)
at org.openstreetmap.josm.gui.dialogs.RelationListDialog.getAllSelected(RelationListDialog.java:262)
at org.openstreetmap.josm.gui.dialogs.RelationListDialog.updateList(RelationListDialog.java:193)
at org.openstreetmap.josm.gui.dialogs.RelationListDialog.activeLayerChange(RelationListDialog.java:205)
at org.openstreetmap.josm.gui.MapView.fireActiveLayerChanged(MapView.java:234)
at org.openstreetmap.josm.gui.MapView.removeLayer(MapView.java:272)
at org.openstreetmap.josm.Main.removeLayer(Main.java:189)
at org.openstreetmap.josm.gui.dialogs.LayerListDialog$DeleteLayerAction.actionPerformed(LayerListDialog.java:336)
at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
at java.awt.Component.processMouseEvent(Unknown Source)
at javax.swing.JComponent.processMouseEvent(Unknown Source)
at java.awt.Component.processEvent(Unknown Source)
at java.awt.Container.processEvent(Unknown Source)
at java.awt.Component.dispatchEventImpl(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Window.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)
at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (0)

Change History (3)

comment:1 Changed 12 years ago by Gubaer

Description: modified (diff)
Resolution: fixed
Status: newclosed

Should be fixed in r2487

comment:2 Changed 12 years ago by anonymous

Resolution: fixed
Status: closedreopened

In rev 2491:

Build-Date: 2009-11-21 16:42:10
Revision: UNKNOWN
Is-Local-Build: true

Memory Usage: 58 MB / 1016 MB (21 MB allocated, but free)
Java version: 1.6.0_17

Plugins: multipoly
openstreetbugs
validator
wmsplugin
Plugin multipoly Version: 18415
Plugin openstreetbugs Version: 18595
Plugin validator Version: 18623
Plugin wmsplugin Version: 18712

java.lang.NullPointerException

at org.openstreetmap.josm.gui.dialogs.RelationListDialog$RelationListModel.setSelectedRelations(RelationListDialog.java:671)
at org.openstreetmap.josm.gui.dialogs.RelationListDialog$RelationListModel.setRelations(RelationListDialog.java:538)
at org.openstreetmap.josm.gui.dialogs.RelationListDialog.initFromLayer(RelationListDialog.java:169)
at org.openstreetmap.josm.gui.dialogs.RelationListDialog.activeLayerChange(RelationListDialog.java:704)
at org.openstreetmap.josm.gui.MapView.fireActiveLayerChanged(MapView.java:234)
at org.openstreetmap.josm.gui.MapView.removeLayer(MapView.java:272)
at org.openstreetmap.josm.Main.removeLayer(Main.java:189)
at org.openstreetmap.josm.gui.dialogs.LayerListDialog$DeleteLayerAction.actionPerformed(LayerListDialog.java:336)
at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
at java.awt.Component.processMouseEvent(Unknown Source)
at javax.swing.JComponent.processMouseEvent(Unknown Source)
at java.awt.Component.processEvent(Unknown Source)
at java.awt.Container.processEvent(Unknown Source)
at java.awt.Component.dispatchEventImpl(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
at java.awt.Container.dispatchEventImpl(Unknown Source)
at java.awt.Window.dispatchEventImpl(Unknown Source)
at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)
at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.run(Unknown Source)

comment:3 Changed 12 years ago by Gubaer

Resolution: fixed
Status: reopenedclosed

(In [2492]) fixed #3996: Exception when deleting layer

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.